## Bsoft program

# bint

### Usage: bint [options] input.img output.img

Applies geometric transformations requiring interpolation to 2D and 3D images.
The transformation is set up so that only a single interpolation is done to preserve information as far as possible.

### Actions:

-size 10,50,8 | New size (pixels).
-translate 0,-10,30 | Translation after rotating (default 0,0,0).
-rotate -2.5,5.5,9,45 | Rotate around a vector by an angle (default 0,0,0,0).
-toview 0.3,0.5,0.8,33 | Rotate to view: vector {xyz} and angle (default 0,0,1,0).
-fromview 0.3,0.5,0.8,33 | Rotate from view: vector {xyz} and angle (default 0,0,1,0).
-toeuler 16,120,85 | Euler angle rotation: Phi, theta, psi (around axes z, y, z).
-fromeuler 16,120,85 | Euler angle rotation: Psi, theta, phi (around axes z, y, z).
-scale 1.5,1.5,1.5 | Relative scale (changes the units).
-integer 2,32 | Special integer interpolation by given kernel size (changes units).
| If old origin falls on a voxel, new origin also falls on a voxel.
| Second value forces odd/even dimensions (default all odd).
-bin 3,2,1 | Binning by given kernel size - one value = isotropic binning.
| (i.e., 2 = binning with a 2x2 kernel, changes the units).
-median 3 | Median binning (changes the units).
-invert | Invert density in the image.
-slices | Interpret multiple 2D images as z-slices of a single 3D image
-images | Interpret slices of a single 3D image as 2D images
-rescale -0.1,5.2 | Rescale output data to average and standard deviation.
-project | Project a 3D image along the z-axis after transformation.
-Skew + | + skews and - removes skewing (default off).

### Parameters:

-verbose 7 | Verbosity of output.
-datatype u | Force writing of a new data type.
-sampling 1.2,0.7,2.0 | Sampling before transformations (angstrom/pixel).
-newsampling 1.2,0.7,2.0 | Sampling set after transformations (angstrom/pixel).
-origin 10,-10,20 | Origin for rotation (default 0,0,0).
-neworigin 10,-10,20 | Origin set after transformations.
-fill 127 | Fill value for resizing (default background).
-unitcell | 10,23,77,90,90,90 Unit cell parameters.

Bsoft version 2.0.3-20180917 (64 bit)